# Generated from skype_check-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name skype_check

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Check if skype username exists or is available
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(rb-fsevent) >= 0.9
# BuildRequires: rubygem(rb-fsevent) < 1
BuildArch: noarch

%description
Tool for checking skype username availability.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/example
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/skype_check.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.0.2-1
- Initial package
